Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# iterator Class Reference

(QTextBlock::iterator)

The QTextBlock::iterator class provides an iterator for reading the contents of a QTextBlock. More...

     #include <QTextBlock>

- List of all members, including inherited members

## Public Functions

| iterator ()
| iterator ( const iterator & other )
bool | atEnd () const
QTextFragment | fragment () const
bool | operator!= ( const iterator & other ) const
iterator & | operator++ ()
iterator | operator++ ( int )
iterator & | operator-- ()
iterator | operator-- ( int )
bool | operator== ( const iterator & other ) const

## Detailed Description

The QTextBlock::iterator class provides an iterator for reading the contents of a QTextBlock.

A block consists of a sequence of text fragments. This class provides a way to iterate over these, and read their contents. It does not provide a way to modify the internal structure or contents of the block.

An iterator can be constructed and used to access the fragments within a text block in the following way:

         QTextBlock::iterator it;
         for (it = currentBlock.begin(); !(it.atEnd()); ++it) {
             QTextFragment currentFragment = it.fragment();
             if (currentFragment.isValid())
                 processFragment(currentFragment);
         }

See also QTextFragment.

## Member Function Documentation

### iterator::iterator ()

Constructs an iterator for this text block.

### iterator::iterator ( const iterator & other )

Copy constructor. Constructs a copy of the other iterator.

### bool iterator::atEnd () const

Returns true if the current item is the last item in the text block.

### QTextFragment iterator::fragment () const

Returns the text fragment the iterator currently points to.

### bool iterator::operator!= ( const iterator & other ) const

Retuns true if this iterator is different from the other iterator; otherwise returns false.

### iterator & iterator::operator++ ()

The prefix ++ operator (`++i`) advances the iterator to the next item in the hash and returns an iterator to the new current item.

### iterator iterator::operator++ ( int )

The postfix ++ operator (`i++`) advances the iterator to the next item in the text block and returns an iterator to the old current item.

### iterator & iterator::operator-- ()

The prefix -- operator (`--i`) makes the preceding item current and returns an iterator pointing to the new current item.

### iterator iterator::operator-- ( int )

The postfix -- operator (`i--`) makes the preceding item current and returns an iterator to the old current item.

### bool iterator::operator== ( const iterator & other ) const

Retuns true if this iterator is the same as the other iterator; otherwise returns false.